/* this file is public domain */

#include "os_dep.h"
#include "parts.h"
#include "sound.h"
#include "mixer.h"

#include <stdio.h>
#include <unistd.h>
#include <sys/mman.h>

//unsigned char ec[65536];
unsigned char *ecran1; //=&ec[512];

void clear_screen(char v)
{
  memset(ecran1, v, 320*200);
}

int main(int n, char **v)
{
  extern void main_eclipse(void);
  extern int main_bezier(void);

  ecran1=mmap((void *)0, 65536+4096+4096, PROT_READ|PROT_WRITE, MAP_ANON|MAP_PRIVATE, 0, 0);
  if (ecran1==MAP_FAILED) {
    perror("mmap error, damned, the demo won't run !");
    return -1;
  }
  ecran1+=4096;

  if (!init_screen()) {
    fprintf(stderr, "Screen error init - is it 8bpp ? or with svgalib are you root ?\n");
    return -1;
  }

  /* don't forget init_mixer ! I fucked my head 2 hours for forgetting this shit ! Fuck ! */
  init_mixer(44100, 16, 1);
  if (rubick_init_sound("sound/part5.xm")==-1) {
    fprintf(stderr, "Sound error init - no sound, sorry.\n");
  }

  set_pattern(14);
  main_eclipse();

  set_pattern(18);
  main_bezier();

  set_pattern(5);
#if 1
  title();
  sinus_scroll();
  color_bars();
  star_field();
  cube();
  thrashy();
#endif
  vision();
#if 1
  //set_pattern(14);
  death();
  set_pattern(0);
  end();
#endif

  close_screen();

  return 0;
}
