#ifndef _OS_DEP_H_
#define _OS_DEP_H_

int init_screen(void);
void close_screen(void);
void put_screen(void);

void wait_retrace(void);
void put_palette(unsigned char [256][3]);

int escape_pressed(void);

int init_timer(int);
void close_timer(void);
int wait_timer(void);

void reset_timer(double);
double get_time(void);
void pause_me(double);

extern unsigned char *ecran1;

#endif /* _OS_DEP_H_ */
