#include <math.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "os_dep.h"
#include "palette.h"
#include "image.h"

void sub_draw_back(int x, int y, int tx, int wx, unsigned char data[49][926])
{
  unsigned char *d=ecran1+y*320+x;
  unsigned char *e, *f;
  int i, j;

  y+=10.*rand()/(RAND_MAX+1.)-5;
  x+=10.*rand()/(RAND_MAX+1.)-5;
  d=ecran1+y*320+x;

  for (i=0; i<49; i++, d+=320) {
    e=&data[i][tx];
    f=d;
    for (j=0; j<wx; j++, f++, e++) {
      if (*e==1) {
	//memcpy(d, &data[i][tx], wx);
	*f=1; //255-15;
      }
    }
  }
}

void show_back(image *b, double time)
{
  /*5+11+6+3+11+6*/
  /*42*/
  /* 926 * 49 */
  int d[]={
    -3, 20, 0, 30 /*T*/, 61 /*h*/, 75 /*i*/, 95 /*s*/, 108 /* */, -1,
    20, 35, 138 /*p*/, 158 /*r*/, 186 /*o*/, 216 /*d*/, 247 /*u*/, 271 /*c*/, 289 /*t*/, 304 /*i*/, 331 /*o*/, 363 /*n*/, 376 /* */, -1,
    40, 80, 400 /*c*/, 427 /*o*/, 458 /*u*/, 473 /*l*/, 502 /*d*/, 513 /* */, -1,
    190, 80, 543 /*b*/, 568 /*e*/, 581 /* */, -1,
    70, 120, 598 /*t*/, 623 /*e*/, 648 /*c*/, 679 /*h*/, 709 /*n*/, 725 /*i*/, 749 /*c*/, 775 /*a*/, 790 /*l*/, 800 /*,*/, 813 /* */, -1,
    110, 160, 842 /*b*/, 874 /*u*/, 892 /*t*/, 903 /*.*/, 916 /*.*/, 926 /*.*/, -2
  };
  int nb=time*200-150, nb_letters=0;
  int x=0, y=0, i;
  extern void clear_screen_cage(void);

  clear_screen_cage();

  for (i=0; nb_letters<nb && d[i]!=-2; i++) {
    if (d[i]==-3) {
      x=d[i+1];
      y=d[i+2];
      i+=3;
      sub_draw_back(x, y, 0, d[i], b->data);
      nb_letters++;
      x+=d[i];
      continue;
    }
    if (d[i]==-1) {
      x=d[i+1];
      y=d[i+2];
      i+=3;
      sub_draw_back(x, y, d[i-4], d[i]-d[i-4], b->data);
      nb_letters++;
      x+=d[i]-d[i-4];
      continue;
    }
    sub_draw_back(x, y, d[i-1], d[i]-d[i-1], b->data);
    nb_letters++;
    x+=d[i]-d[i-1];
  }
}

int _u[320];
int _uu[320];
int _uuu[320];
void init_bezier(void)
{
  int i;
  double u;
  for (u=0, i=0; i<=319; i++, u+=1./319.) {
    _u[i]=u*(double)(1<<10);
    _uu[i]=u*u*(double)(1<<10);
    _uuu[i]=u*u*u*(double)(1<<10);
  }
}

int xpt[64000];
int ypt[64000];
#if 0
void bezier(int pts_tab[5][2], int l, unsigned char texture[256][256])
{
#if 0
  int *_x=xpt+l*320;
  int *_y=ypt+l*320;
  unsigned char *b=ecran1+l*320;
  int i;
  int x, y;

  int ax=(-pts_tab[0][0]+3*pts_tab[1][0]-3*pts_tab[2][0]+pts_tab[3][0]);
  int bx=(3*pts_tab[0][0]-6*pts_tab[1][0]+3*pts_tab[2][0]);
  int cx=(-3*pts_tab[0][0]+3*pts_tab[1][0]);
  int dx=pts_tab[0][0];
  int ay=(-pts_tab[0][1]+3*pts_tab[1][1]-3*pts_tab[2][1]+pts_tab[3][1]);
  int by=(3*pts_tab[0][1]-6*pts_tab[1][1]+3*pts_tab[2][1]);
  int cy=(-3*pts_tab[0][1]+3*pts_tab[1][1]);
  int dy=pts_tab[0][1];

  for (i=0; i<=319; i+=4) {
    x=(_uuu[i])*ax;
    x+=(_uu[i])*bx;
    x+=_u[i]*cx;
    x>>=10;
    x+=dx;
    y=(_uuu[i])*ay;
    y+=(_uu[i])*by;
    y+=_u[i]*cy;
    y>>=10;
    y+=dy;
    *(b+i)=texture[x&255][y&255];
    *(_x+i)=x;
    *(_y+i)=y;
  }
#endif
  int *_x=xpt+l*320;
  int *_y=ypt+l*320;
  unsigned char *b=ecran1+l*320;
  int i;
  int thex[320];
  int they[320];

  int ax=(-pts_tab[0][0]+3*pts_tab[1][0]-3*pts_tab[2][0]+pts_tab[3][0]);
  int bx=(3*pts_tab[0][0]-6*pts_tab[1][0]+3*pts_tab[2][0]);
  int cx=(-3*pts_tab[0][0]+3*pts_tab[1][0]);
  int dx=pts_tab[0][0];
  int ay=(-pts_tab[0][1]+3*pts_tab[1][1]-3*pts_tab[2][1]+pts_tab[3][1]);
  int by=(3*pts_tab[0][1]-6*pts_tab[1][1]+3*pts_tab[2][1]);
  int cy=(-3*pts_tab[0][1]+3*pts_tab[1][1]);
  int dy=pts_tab[0][1];

  for (i=0; i<=319; i+=4) {
    register int x;
    x=(_uuu[i])*ax;
    x+=(_uu[i])*bx;
    x+=_u[i]*cx;
    x>>=10;
    x+=dx;
    thex[i]=x;
    *(_x+i)=x;
  }
  for (i=0; i<=319; i+=4) {
    register int y;
    y=(_uuu[i])*ay;
    y+=(_uu[i])*by;
    y+=_u[i]*cy;
    y>>=10;
    y+=dy;
    they[i]=y;
    *(_y+i)=y;
  }
  for (i=0; i<=319; i+=4) {
    *(b+i)=texture[thex[i]&255][they[i]&255];
  }
}
#endif

#if 0
void interpolate(unsigned char texture[256][256])
{
  int i, j;
  unsigned char *a=ecran1;
  int *b=xpt;
  int *c=ypt;
#define NN 3
  for (i=0; i<200-NN; i+=4) {
    for (j=2; j<319-NN; j+=4) {
      b[j]=((b[j-2]+b[j+2])>>1);
      c[j]=((c[j-2]+c[j+2])>>1);
      a[j]=texture[b[j]&255][c[j]&255];
    }
    a+=320*4;
    b+=320*4;
    c+=320*4;
  }
  a=ecran1;
  b=xpt;
  c=ypt;
  for (i=0; i<200-NN; i+=4) {
    for (j=1; j<319-NN; j+=2) {
      b[j]=((b[j-1]+b[j+1])>>1);
      c[j]=((c[j-1]+c[j+1])>>1);
      a[j]=texture[b[j]&255][c[j]&255];
    }
    a+=320*4;
    b+=320*4;
    c+=320*4;
  }
  a=ecran1+320*2;
  b=xpt+320*2;
  c=ypt+320*2;
  for (i=2; i<200-NN; i+=4) {
    for (j=0; j<319-NN+1; j++) {
      b[j]=((b[j-320*2]+b[j+320*2])>>1);
      c[j]=((c[j-320*2]+c[j+320*2])>>1);
      a[j]=texture[b[j]&255][c[j]&255];
    }
    a+=320*4;
    b+=320*4;
    c+=320*4;
  }
  a=ecran1+320;
  b=xpt+320;
  c=ypt+320;
  for (i=1; i<200-NN; i+=2) {
    for (j=0; j<319-NN+1; j++) {
      a[j]=texture[((b[j-320]+b[j+320])>>1)&255][((c[j-320]+c[j+320])>>1)&255];
    }
    a+=320*2;
    b+=320*2;
    c+=320*2;
  }
}
#endif

#include <stdlib.h>
int randoum(double n)
{
  if (n<0) return 0;
  n*=40.;
  return (n*rand()/(RAND_MAX+1.));
}

void calc_bezier(image *im, double time)
{
  extern void interpolate(unsigned char *);
  //#define AL (time*30.+0.1*cos(time*200))
  //#define AL (3*cos(time*30))
#define AL (time*10/*30*/)

  int pr[4][2]={
    {0,0},
    {256/3,0},
    {256*2/3,0},
    {256, 0}
  };
  int p[4][2];
  int q[4][2];
  int i;
  double z=time*20.;
  double cosal=cos(AL), sinal=sin(AL), sinal2=sin(AL+3*M_PI/4);
  double cosz=cos(z), sinz=sin(z);
  double ROT=((cos(time*7)+1)*2+.1/*0.7*/);

  for (i=0; i<200; i+=4) {
    p[0][0]=pr[0][0]+randoum(sinal2);
    p[0][1]=pr[0][1]+randoum(sinal2);

    p[1][0]=pr[1][0]+randoum(sinal2);
    p[1][1]=pr[1][1]+randoum(sinal2);

    p[2][0]=pr[2][0]+randoum(sinal2);
    p[2][1]=pr[2][1]+randoum(sinal2);

    p[3][0]=pr[3][0]+randoum(sinal2);
    p[3][1]=pr[3][1]+randoum(sinal2);

#if 0
    q[0][0]=cosal*(double)(p[0][0]+i-160)+sinal*(double)(p[0][1]+i-100);
    q[0][1]=-sinal*(double)(p[0][0]+i-160)+cosal*(double)(p[0][1]+i-100);

    q[1][0]=cosal*(double)(p[1][0]+i-160)+sinal*(double)(p[1][1]+i-100)+i+10.*cosz;
    q[1][1]=-sinal*(double)(p[1][0]+i-160)+cosal*(double)(p[1][1]+i-100)+60.*sinz;

    q[2][0]=cosal*(double)(p[2][0]+i-160)+sinal*(double)(p[2][1]+i-100)+12.*sinz;
    q[2][1]=-sinal*(double)(p[2][0]+i-160)+cosal*(double)(p[2][1]+i-100)+i+66.*cosz;

    q[3][0]=cosal*(double)(p[3][0]+i-160)+sinal*(double)(p[3][1]+i-100);
    q[3][1]=-sinal*(double)(p[3][0]+i-160)+cosal*(double)(p[3][1]+i-100);
#endif
#if 1
#define D160 (0)
#define D100 (0)
    q[0][0]=cosal*(double)(p[0][0]-D160)+sinal*(double)(p[0][1]+i-D100);
    q[0][1]=-sinal*(double)(p[0][0]-D160)+cosal*(double)(p[0][1]+i-D100);

    q[1][0]=cosal*(double)(p[1][0]-D160)+sinal*(double)(p[1][1]+i-D100)+i+10.*cosz;
    q[1][1]=-sinal*(double)(p[1][0]-D160)+cosal*(double)(p[1][1]+i-D100)+60.*sinz;

    q[2][0]=cosal*(double)(p[2][0]-D160)+sinal*(double)(p[2][1]+i-D100)+12.*sinz;
    q[2][1]=-sinal*(double)(p[2][0]-D160)+cosal*(double)(p[2][1]+i-D100)+i+66.*cosz;

    q[3][0]=cosal*(double)(p[3][0]-D160)+sinal*(double)(p[3][1]+i-D100);
    q[3][1]=-sinal*(double)(p[3][0]-D160)+cosal*(double)(p[3][1]+i-D100);
#endif

    q[0][0]*=ROT;
    q[0][1]*=ROT;

    q[1][0]*=ROT;
    q[1][1]*=ROT;

    q[2][0]*=ROT;
    q[2][1]*=ROT;

    q[3][0]*=ROT;
    q[3][1]*=ROT;

    bezier(q, i, im->data);
  }

  interpolate(im->data);
}

int main_bezier(void)
{
  extern void boule_main(void);
  extern void calculate_screen(int);
  int lastscreen=0;
  int nb_screen=0;
  image im, back;
  double time=0;

  init_bezier();
  //init_screen();

  if (load_image(&im, "graphs/texture.png")==-1) {
    fprintf(stderr, "mmm, I can't load graphs/texture.png, sorry.\n");
    return -1;
  }
  if (im.width!=256 || im.height!=256) {
    fprintf(stderr, "mmm, graphs/texture.png not 256x256\n");
    return -1;
  }
  if (load_image(&back, "graphs/technical.png")==-1) {
    fprintf(stderr, "mmm, I can't load graphs/technical.png, sorry.\n");
    return -1;
  }
  reset_palette();
  sub_palette(im.palette, 0, im.palsize);
  save_palette();
  set_palette();
  //printf("%d\n", im.palsize);
  boule_main();
  save_palette();
  reset_timer(40.*1000.);
  while(time<1) {
    int newscreen=time*450.*3.;
    calc_bezier(&im, time*2);
    show_back(&back, time);
    calculate_screen(newscreen-lastscreen);
    put_screen();
    nb_screen++;
    lastscreen=newscreen;
    time=get_time();
  }
  printf("%d screens calculated in the begin part (40s of duration => %.2f fps)\n", nb_screen, (float)nb_screen/40.);
  free_image(&im);
  return 0;
}
