;fill poly routines.
;based on line drawing.
;far from optimized.
;not 3 hours needed to code that, based on the line routine. Optimisation needed, yes i now !
;Wed Feb  3 22:35:35 GMT 1999

;genral note : how to deal with C.
;first arg after push ebp mov ebp,esp : [ebp+8], second [ebp+12], etc...
;esp-xxx : to have local vars
;[ebp-4] : first local var, [ebp-8] : second, so on...

bits 32
section .text

;screen resolution
%define		XRES	320
%define		YRES	480

;externs needed
extern ecran1

;global defined here
global fill_triangle_8bpp
global fill_triangle_8bpp_2

;all the fillpoly functions are designed for 320x200
;by the way, only 8bpp is done for now (i don't need more for now).

;IN :
;int x1, int y1, int x2, int y2, int x3, int y3, int color
;triangle must be direct (avoiding 4 subs, 2 muls, 1 add)
;no more. I make it direct if it is not. Da Sed power !! :)
;OUT : nothing (but a filled poly in _ecran1)
fill_triangle_8bpp:
%define	x1	[ebp+8]
%define	y1	[ebp+12]
%define	x2	[ebp+16]
%define	y2	[ebp+20]
%define	x3	[ebp+24]
%define	y3	[ebp+28]
%define color	[ebp+32]
%define ymin	[ebp-4]
%define ymax	[ebp-8]
	enter	8, 0
	push	ebx
	push	esi
	push	edi

	mov	eax, x2
	sub	eax, x1
	mov	ebx, y3
	sub	ebx, y1
	mul	ebx
	mov	ecx, eax
	mov	eax, y2
	sub	eax, y1
	mov	ebx, x3
	sub	ebx, x1
	mul	ebx
	sub	eax, ecx
	jns	.zob
pop	edi
	pop	esi
	pop	ebx
	leave
ret
%if 0
	mov	eax, x1
	xchg	eax, x2
	mov	x1, eax
	mov	eax, y1
	xchg	eax, y2
	mov	y1, eax
%endif
.zob:	mov	eax, y1
	mov	ebx, y2
	mov	ecx, y3
	cmp	eax, ebx
	jae	near .1
	;here y1<y2
	cmp	eax, ecx
	ja	near .01
	;here y1<y2 && y1<y3
	;so (x1, y1) is top point. So (1, 2) is left, (1, 3) is right.
	cmp	ebx, ecx
	ja	.000
	;(y2<=y3) so (1, 2) left, (1, 3) right and (2, 3) left
	mov	ymin, eax
	mov	ymax, ecx
	push	dword y2
	push	dword x2
	push	dword y1
	push	dword x1
	call	_fill_left_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y1
	push	dword x1
	call	_fill_right_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y2
	push	dword x2
	call	_fill_left_line
	add	esp, 16
	jmp	.fill_after
.000:	;(y2>y3) here (1, 2) left, (1, 3) right and (2, 3) right
	mov	ymin, eax
	mov	ymax, ebx
	push	dword y2
	push	dword x2
	push	dword y1
	push	dword x1
	call	_fill_left_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y1
	push	dword x1
	call	_fill_right_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y2
	push	dword x2
	call	_fill_right_line
	add	esp, 16
	jmp	.fill_after
.01:	;here y1<y2 && y3<=y1<y2
	;So 3 is top point. So, (1, 3) left, (2, 3) right (1, 2) left
	mov	ymin, ecx
	mov	ymax, ebx
	push	dword y2
	push	dword x2
	push	dword y1
	push	dword x1
	call	_fill_left_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y1
	push	dword x1
	call	_fill_left_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y2
	push	dword x2
	call	_fill_right_line
	add	esp, 16
	jmp	.fill_after
.1:	;here y1>=y2
	cmp	ebx, ecx
	jae	near .11
	;here y1>=y2 && y2<y3
	;2 top point.
	cmp	eax, ecx
	jae	.10
	;1>=2, 2<3, 1<3
	;(1, 2) right, (1, 3) right, (2, 3) left
	mov	ymin, ebx
	mov	ymax, ecx
	push	dword y2
	push	dword x2
	push	dword y1
	push	dword x1
	call	_fill_right_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y1
	push	dword x1
	call	_fill_right_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y2
	push	dword x2
	call	_fill_left_line
	add	esp, 16
	jmp	.fill_after
.10:	;1>=2, 2<3, 1>=3
	;(1, 2) right, (1, 3) left, (2, 3) left
	mov	ymin, ebx
	mov	ymax, eax
	push	dword y2
	push	dword x2
	push	dword y1
	push	dword x1
	call	_fill_right_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y1
	push	dword x1
	call	_fill_left_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y2
	push	dword x2
	call	_fill_left_line
	add	esp, 16
	jmp	.fill_after
.11:	;y1>=y2 && y2>=y3
	;3 top point
	;(1, 2) right, (1, 3) left, (2, 3) right
	mov	ymin, ecx
	mov	ymax, eax
	push	dword y2
	push	dword x2
	push	dword y1
	push	dword x1
	call	_fill_right_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y1
	push	dword x1
	call	_fill_left_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y2
	push	dword x2
	call	_fill_right_line
	add	esp, 16
	;jmp	.fill_after
.fill_after:
	cld
	mov	al, color
	mov	edi, ymin
	cmp	edi, 200
	jae	.f1
	mov	edx, edi
	mov	ebx, ymax
	inc	ebx
	cmp	ebx, 200
	jbe	.f00
	mov	ebx, 200
.f00:	sub	ebx, edi
	imul	edi, edi, 320
	add	edi, [ecran1]
	mov	esi, edi
.f0:	mov	edi, esi
	add	edi, [edx*4+left_line]
	mov	ecx, [edx*4+right_line]
	inc	ecx
	sub	ecx, [edx*4+left_line]
	rep stosb
	inc	edx
	add	esi, 320
	dec	ebx
	jnz	.f0
.f1:	pop	edi
	pop	esi
	pop	ebx
	leave
	ret

fill_triangle_8bpp_2:
%define	x1	[ebp+8]
%define	y1	[ebp+12]
%define	x2	[ebp+16]
%define	y2	[ebp+20]
%define	x3	[ebp+24]
%define	y3	[ebp+28]
%define color	[ebp+32]
%define ymin	[ebp-4]
%define ymax	[ebp-8]
	enter	8, 0
	push	ebx
	push	esi
	push	edi

	mov	eax, x2
	sub	eax, x1
	mov	ebx, y3
	sub	ebx, y1
	mul	ebx
	mov	ecx, eax
	mov	eax, y2
	sub	eax, y1
	mov	ebx, x3
	sub	ebx, x1
	mul	ebx
	sub	eax, ecx
	jns	.zob
pop	edi
	pop	esi
	pop	ebx
	leave
ret
%if 0
	mov	eax, x1
	xchg	eax, x2
	mov	x1, eax
	mov	eax, y1
	xchg	eax, y2
	mov	y1, eax
%endif
.zob:	mov	eax, y1
	mov	ebx, y2
	mov	ecx, y3
	cmp	eax, ebx
	jae	near .1
	;here y1<y2
	cmp	eax, ecx
	ja	near .01
	;here y1<y2 && y1<y3
	;so (x1, y1) is top point. So (1, 2) is left, (1, 3) is right.
	cmp	ebx, ecx
	ja	.000
	;(y2<=y3) so (1, 2) left, (1, 3) right and (2, 3) left
	mov	ymin, eax
	mov	ymax, ecx
	push	dword y2
	push	dword x2
	push	dword y1
	push	dword x1
	call	_fill_left_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y1
	push	dword x1
	call	_fill_right_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y2
	push	dword x2
	call	_fill_left_line
	add	esp, 16
	jmp	.fill_after
.000:	;(y2>y3) here (1, 2) left, (1, 3) right and (2, 3) right
	mov	ymin, eax
	mov	ymax, ebx
	push	dword y2
	push	dword x2
	push	dword y1
	push	dword x1
	call	_fill_left_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y1
	push	dword x1
	call	_fill_right_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y2
	push	dword x2
	call	_fill_right_line
	add	esp, 16
	jmp	.fill_after
.01:	;here y1<y2 && y3<=y1<y2
	;So 3 is top point. So, (1, 3) left, (2, 3) right (1, 2) left
	mov	ymin, ecx
	mov	ymax, ebx
	push	dword y2
	push	dword x2
	push	dword y1
	push	dword x1
	call	_fill_left_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y1
	push	dword x1
	call	_fill_left_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y2
	push	dword x2
	call	_fill_right_line
	add	esp, 16
	jmp	.fill_after
.1:	;here y1>=y2
	cmp	ebx, ecx
	jae	near .11
	;here y1>=y2 && y2<y3
	;2 top point.
	cmp	eax, ecx
	jae	.10
	;1>=2, 2<3, 1<3
	;(1, 2) right, (1, 3) right, (2, 3) left
	mov	ymin, ebx
	mov	ymax, ecx
	push	dword y2
	push	dword x2
	push	dword y1
	push	dword x1
	call	_fill_right_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y1
	push	dword x1
	call	_fill_right_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y2
	push	dword x2
	call	_fill_left_line
	add	esp, 16
	jmp	.fill_after
.10:	;1>=2, 2<3, 1>=3
	;(1, 2) right, (1, 3) left, (2, 3) left
	mov	ymin, ebx
	mov	ymax, eax
	push	dword y2
	push	dword x2
	push	dword y1
	push	dword x1
	call	_fill_right_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y1
	push	dword x1
	call	_fill_left_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y2
	push	dword x2
	call	_fill_left_line
	add	esp, 16
	jmp	.fill_after
.11:	;y1>=y2 && y2>=y3
	;3 top point
	;(1, 2) right, (1, 3) left, (2, 3) right
	mov	ymin, ecx
	mov	ymax, eax
	push	dword y2
	push	dword x2
	push	dword y1
	push	dword x1
	call	_fill_right_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y1
	push	dword x1
	call	_fill_left_line
	add	esp, 16
	push	dword y3
	push	dword x3
	push	dword y2
	push	dword x2
	call	_fill_right_line
	add	esp, 16
	;jmp	.fill_after
.fill_after:
	cld
	mov	al, color
	mov	edi, ymin
	mov	edx, edi
	mov	ebx, ymax
	inc	ebx
	sub	ebx, edi
	imul	edi, edi, 320
	add	edi, [ecran1]
	mov	esi, edi
.f0:	mov	edi, esi
	add	edi, [edx*4+left_line]
	mov	ecx, [edx*4+right_line]
	inc	ecx
	sub	ecx, [edx*4+left_line]
.zz:	or	[edi], al
	inc	edi
	dec	ecx
	jnz	.zz
	;rep stosb
	inc	edx
	add	esi, 320
	dec	ebx
	jnz	.f0
	pop	edi
	pop	esi
	pop	ebx
	leave
	ret

;internal function
_fill_left_line:
%define	x1	[ebp+8]
%define	y1	[ebp+12]
%define	x2	[ebp+16]
%define	y2	[ebp+20]
	enter	0, 0
	mov	ebx, x1
	sub	ebx, x2
	jc	near .1
	jz	near .2
	;x1>x2
	inc	ebx
	mov	ecx, y1
	sub	ecx, y2
	jc	near .01
	jz	near .02
	;x1>x2 && y1>y2
	;(x2, y2)
	;
	;
	;
	;           (x1, y1)
	inc	ecx
	cmp	ebx, ecx
	jc	.002
	jnz	.001
	;here dx=dy
	mov	edi, y2
	mov	eax, x2
.l000:	mov	[edi*4+left_line], eax
	inc	edi
	inc	eax
	dec	ebx
	jnz	.l000
	leave
	ret
.001:	;here dx>dy
	;*
	;
	;              *
	mov	edx, ecx
	xor	eax, eax
	xor	ecx, ecx
	div	ebx
	mov	edi, y2
	mov	edx, x2
	mov	[edi*4+left_line], edx
.l001:	inc	edx
	add	ecx, eax
	jnc	.la001
	inc	edi
	mov	[edi*4+left_line], edx
.la001:	dec	ebx
	jnz	.l001
	leave
	ret
.002:	;here dx<dy
	;*
	;
	;
	;
	;  *
	mov	edx, ebx
	xor	eax, eax
	xor	ebx, ebx
	div	ecx
	mov	edi, y2
	mov	edx, x2
.l002:	mov	[edi*4+left_line], edx
	inc	edi
	add	ebx, eax
	adc	edx, 0
	dec	ecx
	jnz	.l002
	leave
	ret

.01:	;x1>x2 && y1<y2
	;           (x1, y1)
	;
	;
	;
	;(x2, y2)
	neg	ecx
	inc	ecx
	cmp	ebx, ecx
	jc	.011
	jnz	.012
	;here dx=dy
	mov	edi, y2
	mov	eax, x2
.l010:	mov	[edi*4+left_line], eax
	dec	edi
	inc	eax
	dec	ebx
	jnz	.l010
	leave
	ret
.011:	;here dx<dy
	;  *
	;
	;
	;
	;*
	mov	edx, ebx
	xor	eax, eax
	xor	ebx, ebx
	div	ecx
	mov	edi, y2
	mov	edx, x2
.l011:	mov	[edi*4+left_line], edx
	dec	edi
	add	ebx, eax
	adc	edx, 0
	dec	ecx
	jnz	.l011
	leave
	ret
.012:	;here dx>dy
	;            *
	;
	;*
	mov	edx, ecx
	xor	eax, eax
	xor	ecx, ecx
	div	ebx
	mov	edi, y1
	mov	edx, x1
.l012:	mov	[edi*4+left_line], edx
	dec	edx
	add	ecx, eax
	adc	edi, 0
	dec	ebx
	jnz	.l012
	leave
	ret
.02:	;x1>x2 && y1==y2
	;
	;
	;(x2, y2)   (x1, y1)
	;
	;
	mov	edi, y2
	mov	eax, x2
	mov	[edi*4+left_line], eax
	leave
	ret
.1:	;x1<x2
	neg	ebx
	inc	ebx
	mov	ecx, y1
	sub	ecx, y2
	jc	near .11
	jz	near .12
	;x1<x2 && y1>y2
	;           (x2, y2)
	;
	;
	;
	;(x1, y1)
	inc	ecx
	cmp	ebx, ecx
	jc	.100
	jnz	.101
	;here dx=dy
	mov	edi, y2
	mov	eax, x2
.l110:	mov	[edi*4+left_line], eax
	inc	edi
	dec	eax
	dec	ebx
	jnz	.l110
	leave
	ret
.100:	;here dx<dy
	;  *
	;
	;
	;
	;*
	mov	edx, ebx
	xor	eax, eax
	xor	ebx, ebx
	div	ecx
	mov	edi, y1
	mov	edx, x1
.l100:	mov	[edi*4+left_line], edx
	dec	edi
	add	ebx, eax
	adc	edx, 0
	dec	ecx
	jnz	.l100
	leave
	ret
.101:	;here dx>dy
	;               *
	;
	;*
	mov	edx, ecx
	xor	eax, eax
	xor	ecx, ecx
	div	ebx
	mov	edi, y2
	mov	edx, x2
.l101:	mov	[edi*4+left_line], edx
	dec	edx
	add	ecx, eax
	adc	edi, 0
	dec	ebx
	jnz	.l101
	leave
	ret
.11:	;x1<x2 && y1<y2
	;(x1, y1)
	;
	;
	;
	;           (x2, y2)
	neg	ecx
	inc	ecx
	cmp	ebx, ecx
	jc	.110
	jnz	.111
	;here dx=dy
	mov	edi, y1
	mov	eax, x1
.l11:	mov	[edi*4+left_line], eax
	inc	edi
	inc	eax
	dec	ebx
	jnz	.l11
	leave
	ret
.110:	;here dx<dy
	;*
	;
	;
	;
	;  *
	mov	edx, ebx
	xor	eax, eax
	xor	ebx, ebx
	div	ecx
	mov	edi, y1
	mov	edx, x1
.l1101:	mov	[edi*4+left_line], edx
	inc	edi
	add	ebx, eax
	adc	edx, 0
	dec	ecx
	jnz	.l1101
	leave
	ret
.111:	;here dx>dy
	;*
	;
	;               *
	mov	edx, ecx
	xor	eax, eax
	xor	ecx, ecx
	div	ebx
	mov	edi, y1
	mov	edx, x1
	mov	[edi*4+left_line], edx
.l111:	inc	edx
	add	ecx, eax
	jnc	.la111
	inc	edi
	mov	[edi*4+left_line], edx
.la111:	dec	ebx
	jnz	.l111
	leave
	ret

.12:	;x1<x2 && y1==y2
	;
	;
	;(x1, y1)   (x2, y2)
	;
	;
	mov	ecx, ebx
	mov	edi, y1
	mov	eax, x1
	mov	[edi*4+left_line], eax
	leave
	ret

.2:	;x1=x2
	mov	ecx, y1
	sub	ecx, y2
	jc	.21
	jz	.22
	;x1=x2 && y1>y2
	;(x2, y2)
	;
	;
	;
	;(x1, y1)
	inc	ecx
	mov	edi, y2
	mov	eax, x2
.l2:	mov	[edi*4+left_line], eax
	inc	edi
	dec	ecx
	jne	.l2
	leave
	ret

.21:	;x1==x2 && y1<y2
	;(x1, y1)
	;
	;
	;
	;(x2, y2)
	neg	ecx
	inc	ecx
	mov	edi, y1
	mov	eax, x1
.l21:	mov	[edi*4+left_line], eax
	inc	edi
	dec	ecx
	jne	.l21
	leave
	ret

.22:	;x1==x2 && y1==y2 (a putpixel)
	mov	edi, y1
	mov	eax, x1
	mov	[edi*4+left_line], eax
	leave
	ret

_fill_right_line:
%define	x1	[ebp+8]
%define	y1	[ebp+12]
%define	x2	[ebp+16]
%define	y2	[ebp+20]
	enter	0, 0
	mov	ebx, x1
	sub	ebx, x2
	jc	near .1
	jz	near .2
	;x1>x2
	inc	ebx
	mov	ecx, y1
	sub	ecx, y2
	jc	near .01
	jz	near .02
	;x1>x2 && y1>y2
	;(x2, y2)
	;
	;
	;
	;           (x1, y1)
	inc	ecx
	cmp	ebx, ecx
	jc	.002
	jnz	.001
	;here dx=dy
	mov	edi, y2
	mov	eax, x2
.l000:	mov	[edi*4+right_line], eax
	inc	edi
	inc	eax
	dec	ebx
	jnz	.l000
	leave
	ret
.001:	;here dx>dy
	;*
	;
	;              *
	mov	edx, ecx
	xor	eax, eax
	xor	ecx, ecx
	div	ebx
	mov	edi, y2
	mov	edx, x2
.l001:	mov	[edi*4+right_line], edx
	inc	edx
	add	ecx, eax
	adc	edi, 0
	dec	ebx
	jnz	.l001
	leave
	ret
.002:	;here dx<dy
	;*
	;
	;
	;
	;  *
	mov	edx, ebx
	xor	eax, eax
	xor	ebx, ebx
	div	ecx
	mov	edi, y2
	mov	edx, x2
.l002:	mov	[edi*4+right_line], edx
	inc	edi
	add	ebx, eax
	adc	edx, 0
	dec	ecx
	jnz	.l002
	leave
	ret

.01:	;x1>x2 && y1<y2
	;           (x1, y1)
	;
	;
	;
	;(x2, y2)
	neg	ecx
	inc	ecx
	cmp	ebx, ecx
	jc	.011
	jnz	.012
	;here dx=dy
	mov	edi, y2
	mov	eax, x2
.l010:	mov	[edi*4+right_line], eax
	dec	edi
	inc	eax
	dec	ebx
	jnz	.l010
	leave
	ret
.011:	;here dx<dy
	;  *
	;
	;
	;
	;*
	mov	edx, ebx
	xor	eax, eax
	xor	ebx, ebx
	div	ecx
	mov	edi, y2
	mov	edx, x2
.l011:	mov	[edi*4+right_line], edx
	dec	edi
	add	ebx, eax
	adc	edx, 0
	dec	ecx
	jnz	.l011
	leave
	ret
.012:	;here dx>dy
	;            *
	;
	;*
	mov	edx, ecx
	xor	eax, eax
	xor	ecx, ecx
	div	ebx
	mov	edi, y1
	mov	edx, x1
	mov	[edi*4+right_line], edx
.l012:	dec	edx
	add	ecx, eax
	jnc	.la012
	inc	edi
	mov	[edi*4+right_line], edx
.la012:	dec	ebx
	jnz	.l012
	leave
	ret
.02:	;x1>x2 && y1==y2
	;
	;
	;(x2, y2)   (x1, y1)
	;
	;
	mov	edi, y1
	mov	eax, x1
	mov	[edi*4+right_line], eax
	leave
	ret
.1:	;x1<x2
	neg	ebx
	inc	ebx
	mov	ecx, y1
	sub	ecx, y2
	jc	near .11
	jz	near .12
	;x1<x2 && y1>y2
	;           (x2, y2)
	;
	;
	;
	;(x1, y1)
	inc	ecx
	cmp	ebx, ecx
	jc	.100
	jnz	.101
	;here dx=dy
	mov	edi, y2
	mov	eax, x2
.l110:	mov	[edi*4+right_line], eax
	inc	edi
	dec	eax
	dec	ebx
	jnz	.l110
	leave
	ret
.100:	;here dx<dy
	;  *
	;
	;
	;
	;*
	mov	edx, ebx
	xor	eax, eax
	xor	ebx, ebx
	div	ecx
	mov	edi, y1
	mov	edx, x1
.l100:	mov	[edi*4+right_line], edx
	dec	edi
	add	ebx, eax
	adc	edx, 0
	dec	ecx
	jnz	.l100
	leave
	ret
.101:	;here dx>dy
	;               *
	;
	;*
	mov	edx, ecx
	xor	eax, eax
	xor	ecx, ecx
	div	ebx
	mov	edi, y2
	mov	edx, x2
	mov	[edi*4+right_line], edx
.l101:	dec	edx
	add	ecx, eax
	jnc	.la101
	inc	edi
	mov	[edi*4+right_line], edx
.la101:	dec	ebx
	jnz	.l101
	leave
	ret
.11:	;x1<x2 && y1<y2
	;(x1, y1)
	;
	;
	;
	;           (x2, y2)
	neg	ecx
	inc	ecx
	cmp	ebx, ecx
	jc	.110
	jnz	.111
	;here dx=dy
	mov	edi, y1
	mov	eax, x1
.l11:	mov	[edi*4+right_line], eax
	inc	edi
	inc	eax
	dec	ebx
	jnz	.l11
	leave
	ret
.110:	;here dx<dy
	;*
	;
	;
	;
	;  *
	mov	edx, ebx
	xor	eax, eax
	xor	ebx, ebx
	div	ecx
	mov	edi, y1
	mov	edx, x1
.l1101:	mov	[edi*4+right_line], edx
	inc	edi
	add	ebx, eax
	adc	edx, 0
	dec	ecx
	jnz	.l1101
	leave
	ret
.111:	;here dx>dy
	;*
	;
	;               *
	mov	edx, ecx
	xor	eax, eax
	xor	ecx, ecx
	div	ebx
	mov	edi, y1
	mov	edx, x1
.l111:	mov	[edi*4+right_line], edx
	inc	edx
	add	ecx, eax
	adc	edi, 0
	dec	ebx
	jnz	.l111
	leave
	ret

.12:	;x1<x2 && y1==y2
	;
	;
	;(x1, y1)   (x2, y2)
	;
	;
	mov	ecx, ebx
	mov	edi, y2
	mov	eax, x2
	mov	[edi*4+right_line], eax
	leave
	ret

.2:	;x1=x2
	mov	ecx, y1
	sub	ecx, y2
	jc	.21
	jz	.22
	;x1=x2 && y1>y2
	;(x2, y2)
	;
	;
	;
	;(x1, y1)
	inc	ecx
	mov	edi, y2
	mov	eax, x2
.l2:	mov	[edi*4+right_line], eax
	inc	edi
	dec	ecx
	jne	.l2
	leave
	ret

.21:	;x1==x2 && y1<y2
	;(x1, y1)
	;
	;
	;
	;(x2, y2)
	neg	ecx
	inc	ecx
	mov	edi, y1
	mov	eax, x1
.l21:	mov	[edi*4+right_line], eax
	inc	edi
	dec	ecx
	jne	.l21
	leave
	ret

.22:	;x1==x2 && y1==y2 (a putpixel)
	mov	edi, y1
	mov	eax, x1
	mov	[edi*4+right_line], eax
	leave
	ret

section .bss
left_line:	resd	YRES
resd 1		;not sure if necessary, but maybe so i put it
right_line:	resd	YRES
resd 1		;not sure if necessary, but maybe so i put it
