/* This file is public domain. */

#ifndef _IMAGE_H_
#define _IMAGE_H_

typedef struct {
  int type;
  int width;
  int height;
  char *data;
  char *palette;
  int palsize;
} image;

int load_image(image *, char *);
void put_image(image *, int, int);
void free_image(image *);

#endif /* _IMAGE_H_ */
