;genral note : how to deal with C.
;first arg after push ebp mov ebp,esp : [ebp+8], second [ebp+12], etc...
;esp-xxx : to have local vars
;[ebp-4] : first local var, [ebp-8] : second, so on...

bits 32
section .text

;externs needed
extern ecran1

;global defined here
global putline_8bpp

;all the line functions are designed for 320x200
%define	XRES	320
%define	YRES	240

;IN :
;int x1, int y1, int x2, int y2, int color
;OUT : nothing (but a line in _ecran1)
%define	x1	[ebp+8]
%define	y1	[ebp+12]
%define	x2	[ebp+16]
%define	y2	[ebp+20]
%define color	[ebp+24]
putline_8bpp:
	enter	0, 0
	push	ebx
	push	esi
	push	edi
	mov	ebx, x1
	sub	ebx, x2
	jc	near .1
	jz	near .2
	;x1>x2
	inc	ebx
	mov	ecx, y1
	sub	ecx, y2
	jc	near .01
	jz	near .02
	;x1>x2 && y1>y2
	;(x2, y2)
	;
	;
	;
	;           (x1, y1)
	inc	ecx
	cmp	ebx, ecx
	jc	.002
	jnz	.001
	;here dx=dy
	mov	edi, y2
	imul	edi, edi, 320	;************** bad *****************
	add	edi, x2
	add	edi, [ecran1]
	mov	al, color
.l000:	mov	[edi], al
	add	edi,321
	dec	ebx
	jnz	.l000
	pop	edi
	pop	esi
	pop	ebx
	leave
	ret
.001:	;here dx>dy
	;*
	;
	;              *
	mov	edx, ecx
	xor	eax, eax
	xor	ecx, ecx
	div	ebx
	mov	edi, y2
	imul	edi, edi, 320	;************** bad *****************
	add	edi, x2
	add	edi, [ecran1]
	mov	dl, color
.l001:	mov	[edi], dl
	inc	edi
	add	ecx, eax
	jnc	.l0011
	add	edi, 320
.l0011:	dec	ebx
	jnz	.l001
	pop	edi
	pop	esi
	pop	ebx
	leave
	ret
.002:	;here dx<dy
	;*
	;
	;
	;
	;  *
	mov	edx, ebx
	xor	eax, eax
	xor	ebx, ebx
	div	ecx
	mov	edi, y2
	imul	edi, edi, 320	;************** bad *****************
	add	edi, x2
	add	edi, [ecran1]
	mov	dl, color
.l002:	mov	[edi], dl
	add	edi, 320
	add	ebx, eax
	adc	edi, 0
	dec	ecx
	jnz	.l002
	pop	edi
	pop	esi
	pop	ebx
	leave
	ret

.01:	;x1>x2 && y1<y2
	;           (x1, y1)
	;
	;
	;
	;(x2, y2)
	neg	ecx
	inc	ecx
	cmp	ebx, ecx
	jc	.011
	jnz	.012
	;here dx=dy
	mov	edi, y2
	imul	edi, edi, 320	;************** bad *****************
	add	edi, x2
	add	edi, [ecran1]
	mov	al, color
.l010:	mov	[edi], al
	add	edi,1-320
	dec	ebx
	jnz	.l010
	pop	edi
	pop	esi
	pop	ebx
	leave
	ret
.011:	;here dx<dy
	;  *
	;
	;
	;
	;*
	mov	edx, ebx
	xor	eax, eax
	xor	ebx, ebx
	div	ecx
	mov	edi, y2
	imul	edi, edi, 320	;************** bad *****************
	add	edi, x2
	add	edi, [ecran1]
	mov	dl, color
.l011:	mov	[edi], dl
	sub	edi, 320
	add	ebx, eax
	adc	edi, 0
	dec	ecx
	jnz	.l011
	pop	edi
	pop	esi
	pop	ebx
	leave
	ret
.012:	;here dx>dy
	;            *
	;
	;*
	mov	edx, ecx
	xor	eax, eax
	xor	ecx, ecx
	div	ebx
	mov	edi, y1
	imul	edi, edi, 320	;************** bad *****************
	add	edi, x1
	add	edi, [ecran1]
	mov	dl, color
.l012:	mov	[edi], dl
	dec	edi
	add	ecx, eax
	jnc	.l0121
	add	edi, 320
.l0121:	dec	ebx
	jnz	.l012
	pop	edi
	pop	esi
	pop	ebx
	leave
	ret
.02:	;x1>x2 && y1==y2
	;
	;
	;(x2, y2)   (x1, y1)
	;
	;
	mov	ecx, ebx
	mov	edi, y2
	imul	edi, edi, 320	;************** bad *****************
	add	edi, x2
	add	edi, [ecran1]
	mov	al, color
	cld
	rep stosb		;************** bad *****************
	pop	edi
	pop	esi
	pop	ebx
	leave
	ret
.1:	;x1<x2
	neg	ebx
	inc	ebx
	mov	ecx, y1
	sub	ecx, y2
	jc	near .11
	jz	near .12
	;x1<x2 && y1>y2
	;           (x2, y2)
	;
	;
	;
	;(x1, y1)
	inc	ecx
	cmp	ebx, ecx
	jc	.100
	jnz	.101
	;here dx=dy
	mov	edi, y2
	imul	edi, edi, 320	;************** bad *****************
	add	edi, x2
	add	edi, [ecran1]
	mov	al, color
.l110:	mov	[edi], al
	add	edi,320-1
	dec	ebx
	jnz	.l110
	pop	edi
	pop	esi
	pop	ebx
	leave
	ret
.100:	;here dx<dy
	;  *
	;
	;
	;
	;*
	mov	edx, ebx
	xor	eax, eax
	xor	ebx, ebx
	div	ecx
	mov	edi, y1
	imul	edi, edi, 320	;************** bad *****************
	add	edi, x1
	add	edi, [ecran1]
	mov	dl, color
.l100:	mov	[edi], dl
	sub	edi, 320
	add	ebx, eax
	adc	edi, 0
	dec	ecx
	jnz	.l100
	pop	edi
	pop	esi
	pop	ebx
	leave
	ret
.101:	;here dx>dy
	;               *
	;
	;*
	mov	edx, ecx
	xor	eax, eax
	xor	ecx, ecx
	div	ebx
	mov	edi, y2
	imul	edi, edi, 320	;************** bad *****************
	add	edi, x2
	add	edi, [ecran1]
	mov	dl, color
.l101:	mov	[edi], dl
	dec	edi
	add	ecx, eax
	jnc	.l1011
	add	edi, 320
.l1011:	dec	ebx
	jnz	.l101
	pop	edi
	pop	esi
	pop	ebx
	leave
	ret
.11:	;x1<x2 && y1<y2
	;(x1, y1)
	;
	;
	;
	;           (x2, y2)
	neg	ecx
	inc	ecx
	cmp	ebx, ecx
	jc	.110
	jnz	.111
	;here dx=dy
	mov	edi, y1
	imul	edi, edi, 320	;************** bad *****************
	add	edi, x1
	add	edi, [ecran1]
	mov	al, color
.l11:	mov	[edi], al
	add	edi,321
	dec	ebx
	jnz	.l11
	pop	edi
	pop	esi
	pop	ebx
	leave
	ret
.110:	;here dx<dy
	;*
	;
	;
	;
	;  *
	mov	edx, ebx
	xor	eax, eax
	xor	ebx, ebx
	div	ecx
	mov	edi, y1
	imul	edi, edi, 320	;************** bad *****************
	add	edi, x1
	add	edi, [ecran1]
	mov	dl, color
.l1101:	mov	[edi], dl
	add	edi, 320
	add	ebx, eax
	adc	edi, 0
	dec	ecx
	jnz	.l1101
	pop	edi
	pop	esi
	pop	ebx
	leave
	ret
.111:	;here dx>dy
	;*
	;
	;               *
	mov	edx, ecx
	xor	eax, eax
	xor	ecx, ecx
	div	ebx
	mov	edi, y1
	imul	edi, edi, 320	;************** bad *****************
	add	edi, x1
	add	edi, [ecran1]
	mov	dl, color
.l111:	mov	[edi], dl
	inc	edi
	add	ecx, eax
	jnc	.l1111
	add	edi, 320
.l1111:	dec	ebx
	jnz	.l111
	pop	edi
	pop	esi
	pop	ebx
	leave
	ret

.12:	;x1<x2 && y1==y2
	;
	;
	;(x1, y1)   (x2, y2)
	;
	;
	mov	ecx, ebx
	mov	edi, y1
	imul	edi, edi, 320	;************** bad *****************
	add	edi, x1
	add	edi, [ecran1]
	mov	al, color
	cld
	rep stosb		;************** bad *****************
	pop	edi
	pop	esi
	pop	ebx
	leave
	ret

.2:	;x1=x2
	mov	ecx, y1
	sub	ecx, y2
	jc	.21
	jz	.22
	;x1=x2 && y1>y2
	;(x2, y2)
	;
	;
	;
	;(x1, y1)
	inc	ecx
	mov	edi, y2
	imul	edi, edi, 320	;************** bad *****************
	add	edi, x2
	add	edi, [ecran1]
	mov	al, color
.l2:	mov	[edi], al
	add	edi, 320
	dec	ecx
	jne	.l2
	pop	edi
	pop	esi
	pop	ebx
	leave
	ret

.21:	;x1==x2 && y1<y2
	;(x1, y1)
	;
	;
	;
	;(x2, y2)
	neg	ecx
	inc	ecx
	mov	edi, y1
	imul	edi, edi, 320	;************** bad *****************
	add	edi, x1
	add	edi, [ecran1]
	mov	al, color
.l21:	mov	[edi], al
	add	edi, 320
	dec	ecx
	jne	.l21
	pop	edi
	pop	esi
	pop	ebx
	leave
	ret

.22:	;x1==x2 && y1==y2 (a putpixel)
	mov	edi, y1
	imul	edi, edi, 320	;************** bad *****************
	add	edi, x1
	add	edi, [ecran1]
	mov	al, color
	mov	[edi], al
	pop	edi
	pop	esi
	pop	ebx
	leave
	ret
