#/*
# * This file is part of xsoundtrack - a sound tracker for Linux.
# * Sed - july august 1998.
# * This is total free software.
# */

CC=gcc
#CFLAGS=-g -Wall -D__ASM__
CFLAGS=-Wall -O3 -fomit-frame-pointer -D__ASM__ -ffast-math
#CFLAGS=-pg -Wall -O3 -D__ASM__ -ffast-math

OBJ=card.o mixer.o xm.o live_player.o wav.o mix_asm.o

player.a : $(OBJ)
	ar crv $(@) $(OBJ)
	ranlib $(@)

%.o : %.asm
	nasm -f elf -o $@ $<

card.o : card.h

mixer.o : mixer.h xm.h card.h live_player.h

xm.o : xm.h debug.h mixer.h version.h

live_player.o : live_player.h xm.h channels_def.h card.h

wav.o : wav.h xm.h

xm.h : channels_def.h
	touch xm.h

clean :
	-mv mix_asm.o mix_asm.o.old
	rm -f *~ *.o *.a core
	-mv mix_asm.o.old mix_asm.o
